# Reporting

The **Reporting** solution lets you manage standard and enhanced reports related to merchants, transactions, pricing, disputes, and more.

#### **Prerequisites** <a href="#prerequisites" id="prerequisites"></a>

To manage reports, ensure you have following:

:white\_check\_mark: An active Xplor Pay account.

{% hint style="info" %}
Contact to [Xplor Pay](https://xplorpay.com/contact/) to create an active account.
{% endhint %}

✅ A sandbox URL for testing the integration.

{% hint style="info" %}
Visit [Let's Get Started - Xplor Pay](https://xplorpay.com/getting-started/) to get a sandbox URL
{% endhint %}

✅ API access key issued to you by Xplor Pay.

{% hint style="info" %}
Visit [Let's Get Started - Xplor Pay](https://xplorpay.com/getting-started/) to get an API access key.
{% endhint %}

{% stepper %}
{% step %}

### **Retrieve report via Reporting API**

To retrieve the Standard and Enhanced report:

1. Use the GET method.
2. Send the request to the [Standard Reporting](https://app.gitbook.com/s/j9heLdoDRsfnChUQohvj/api/reporting/standard-reporting "mention") or [Enhanced Reporting](https://app.gitbook.com/s/j9heLdoDRsfnChUQohvj/api/reporting/enhanced-reporting "mention") endpoint URL.

The following table describes the query parameters to include in the endpoint URL.

<table><thead><tr><th width="150.3333740234375" valign="top">Name</th><th width="111.33331298828125" valign="top">Data type</th><th width="119.99993896484375" valign="top">Required?</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>categoryName</code></td><td valign="top">String</td><td valign="top">Required</td><td valign="top">The category name of the report. Use <code>standard</code> for standard reports and <code>reporting</code> for enhanced reports.</td></tr><tr><td valign="top"><code>reportName</code></td><td valign="top">String</td><td valign="top">Required</td><td valign="top">The name of the report. For a list of available standard and enhanced reports, see <a data-mention href="https://app.gitbook.com/s/yN9CLsR8tlS8G8avRMB5/reporting/reporting-solutions">Reporting Solutions</a>.</td></tr></tbody></table>

This endpoint returns a successful response, including merchant, transaction, dispute, or merchant and portfolio activity details in JSON format according to the report type.
{% endstep %}

{% step %}

### Download enhanced report via Partner Portal

To download the enhanced report:

1. Go to the [Partner Portal](https://auth.clearent.net/oauth2/aus4ulyubshD7M0yf697/v1/authorize?client_id=0oa6ggt30dFSxSVxX697\&redirect_uri=https%3A%2F%2Fmy.clearent.net%2Fui%2Fauth%2Fpost-login\&response_type=code\&scope=openid+profile\&state=99cec299c624421c9aa81130c0f2d512\&code_challenge=5fMIzA_gkDBkCRpjufsK54nrOfbNfL_UEicUMtEOvmc\&code_challenge_method=S256).
2. **Sign in** with your Xplor Pay credentials.
3. On the dashboard, select **Reports**.
4. On the **Reports** page, find the report you want.
5. Select **Generate Report** next to the report.

The report downloads in Excel or CSV format.
{% endstep %}
{% endstepper %}

{% hint style="info" %}
Subscribe to the Xplor Pay Reporting to manage specific reports. See [Reporting](https://app.gitbook.com/s/yN9CLsR8tlS8G8avRMB5/reporting "mention") for more information.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/quick-starts/reporting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
